package com.nationrel.modules.rp.api.fallback;

import com.nationrel.modules.rp.api.RpHelloApi;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author JeecgBoot
 */
@Slf4j
@Component
public class RpHelloFallback implements FallbackFactory<RpHelloApi> {
    @Setter
    private Throwable cause;

    @Override
    public RpHelloApi create(Throwable throwable) {
        log.error("微服务接口调用失败： {}", cause);
        return null;
    }

}
