package com.nationrel.modules.rp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.rp.entity.PredictionStruTree;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: prediction_stru_tree
 * @Author: nationrel
 * @Date:   2024-08-26
 * @Version: V1.0
 */
public interface PredictionStruTreeMapper extends BaseMapper<PredictionStruTree> {

    /**
     * @param rightNo   右序号
     * @param changeNum 变化数
     * @param perdictionId    预测主键
     * @Title: updateLeftNoByChangeNum
     * @Description: 更新左序号
     */
    void updateLeftNoByChangeNum(@Param("leftNo") Integer leftNo, @Param("changeNum") Integer changeNum, @Param("perdictionId") String perdictionId);

    /**
     * @param rightNo   右序号
     * @param changeNum 变化数
     * @param perdictionId    预测主键
     * @Title: updateRightNoByChangeNum
     * @Description: 更新右序号
     */
    void updateRightNoByChangeNum(@Param("rightNo") Integer rightNo, @Param("changeNum") Integer changeNum, @Param("perdictionId") String perdictionId);

}
