package com.nationrel.modules.rp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nationrel.modules.rp.entity.PredictionStruTree;
import com.nationrel.modules.rp.req.SaveStructureReq;
import com.nationrel.modules.rp.resp.PredictionStruTreeResp;

import java.util.List;

/**
 * @Description: prediction_stru_tree
 * @Author: nationrel
 * @Date:   2024-08-26
 * @Version: V1.0
 */
public interface IPredictionStruTreeService extends IService<PredictionStruTree> {

    List<PredictionStruTreeResp> getLeftTree(Long predictionId, Long struId);

    void addStructure(SaveStructureReq saveStructureReq);
}
